Skip to main content
GET
/
pools
/
search
Advanced pool filtering across multiple networks.
curl --request GET \
  --url https://api.dexpaprika.com/pools/search
import requests

url = "https://api.dexpaprika.com/pools/search"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.dexpaprika.com/pools/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "id": "<string>",
      "dex_id": "<string>",
      "dex_name": "<string>",
      "chain": "<string>",
      "created_at_block_number": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "volume_usd_24h": 123,
      "transactions_24h": 123,
      "price_usd": 123,
      "price_change_percentage_5m": 123,
      "price_change_percentage_1h": 123,
      "price_change_percentage_24h": 123,
      "fee": 123,
      "volume_usd_7d": 123,
      "volume_usd_30d": 123,
      "liquidity_usd": 123,
      "tokens": [
        {
          "id": "usdc-usd-coin",
          "name": "USD Coin",
          "symbol": "USDC",
          "decimals": 6,
          "description": "True financial interoperability requires a price stable means of value exchange...",
          "website": "https://www.centre.io/usdc",
          "explorer": "https://etherscan.io/token/0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
        }
      ]
    }
  ],
  "has_next_page": true,
  "next_cursor": "<string>",
  "query": {
    "chains": "<string>",
    "limit": 123,
    "cursor": "<string>",
    "volume_usd_24h_min": 123,
    "volume_usd_24h_max": 123,
    "volume_usd_7d_min": 123,
    "volume_usd_7d_max": 123,
    "volume_usd_30d_min": 123,
    "volume_usd_30d_max": 123,
    "liquidity_usd_min": 123,
    "liquidity_usd_max": 123,
    "txns_24h_min": 123,
    "txns_24h_max": 123,
    "created_after": 123,
    "created_before": 123,
    "price_usd_min": 123,
    "price_usd_max": 123,
    "price_change_percentage_24h_min": 123,
    "price_change_percentage_24h_max": 123,
    "dex_name": "<string>",
    "detailed": true
  }
}

Query Parameters

chains
string

Comma-separated list of chains to search in (e.g., 'ethereum,polygon'). If empty, all chains are searched.

limit
integer
default:10

Number of items to return per page (max 100).

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination.

volume_usd_24h_min
number
volume_usd_24h_max
number
volume_usd_7d_min
number
volume_usd_7d_max
number
volume_usd_30d_min
number
volume_usd_30d_max
number
liquidity_usd_min
number
liquidity_usd_max
number
txns_24h_min
integer
txns_24h_max
integer
created_after
integer
created_before
integer
price_usd_min
number
price_usd_max
number
price_change_percentage_24h_min
number

Filter pools with a 24h price change percentage greater than or equal to this value.

price_change_percentage_24h_max
number

Filter pools with a 24h price change percentage less than or equal to this value.

dex_name
string
order_by
enum<string>
Available options:
volume_usd_24h,
volume_usd_7d,
volume_usd_30d,
liquidity_usd,
txns_24h,
created_at,
price_usd,
price_change_percentage_24h
sort
enum<string>
Available options:
asc,
desc
detailed
boolean
default:false

If true, the response will include enriched data.

Response

200 - application/json

successful operation

results
object[]
has_next_page
boolean
next_cursor
string
query
object